  <?php
  session_start();
  ?>
  <script>

    $(function () {
//ready
//ready
$('.select2').select2();
$("#monto_dep").maskMoney({allowNegative: true, thousands:'.', decimal:',', affixesStay: false});
$("#monto_trans").maskMoney({allowNegative: true, thousands:'.', decimal:',', affixesStay: false});

const Toast = Swal.mixin({
  toast: true,
  position: 'top-end',
  showConfirmButton: false,
  timer: 3000
});
$(document).ready(function(e) {
  $('#filtercam').hide();
  $('#list_system_payments_filter').append('<button class="btn btn-primary" id="addfilter"><i class="fas fa-filter"></i></button>');
});
var wp_filter = $("#filter").DataTable({
 searching: false,
 paging: false,
 ordering:  false,
 responsive: {
  details: {
    type: 'column'
  }
},
columnDefs: [ {
  className: 'control',
  orderable: false,
  targets:   0
} ],
autoWidth: true,
bProcessing: false,
bServerSide: false,
bInfo: false,
});
var wp_table = $("#list_system_payments").DataTable({
  responsive: {
    details: {
      type: 'column'
    }
  },
  columnDefs: [ {
    className: 'control',
    orderable: false,
    targets:   0
  } ],
  order: [ 1, 'desc' ],
  autoWidth: true,
  bProcessing: false,
  bServerSide: false,
  bInfo: false,
  columns: [
  { data: 'id' , render: function(data, type, row){
    return cel(data, row.id);
  }},
  { data: 'fecha_pago',className: "tdcentrado" },
  { data: 'banco',className: "tdcentrado" },
  { data: 'titular',className: "tdcentrado" },
  { data: 'num_cuenta',className: "tdcentrado" },
  { data: 'total_dep',className: "tdcentrado" },
  { data: 'monto_dep',className: "tdcentrado" },
  { data: 'total_tra',className: "tdcentrado" },
  { data: 'monto_tra',className: "tdcentrado" },
  { data: 'total',className: "tdcentrado" },
  { data: 'id', render: function(data, type, row){
    return actions(data,row.image,row.license);
  },className: "tdcentrado"},
  ],
});
//Funcion para consultar datos de usarios y llenar tabla//
function dataTable_init(fecha) {
  data = {'option':'<?php echo $decryp->encryptroute('view/system_payments/query_system_payments')?>','fecha':fecha};
  $.post('../core/process.php', data)
  .done(function(resp){
   wp_table = $("#list_system_payments").DataTable();
   wp_table.clear();
   $.each(resp.datos, function (k, v) {
    wp_table.row.add(v);
  });
   wp_table.draw();
   wp_table.columns.adjust().responsive.recalc();
 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
}
//Funcion status//
function status(wpid, wpactive) {
  var status='<span class="badge badge-'+wpactive+'">'+wpid+'</span>'; 
  actions_cell = status;
  return actions_cell;
}
//Funcion status//
function name(wpid, wpactive) {
  var actions_cell='<span class="badge" style="background-color:'+wpid+';color:#fff;">'+wpactive+'</span> ';
  return actions_cell;
}
//Funcion para botones de accion//
function actions(wpid, wpactive,level) {
  actions_cell = '<button class="btn btn-primary edit_cat" data-data1="' + wpid + '" ><i class="fas fa-pencil-alt"></i></button> <button class="btn btn-danger delete" data-data1="' + wpid + '" ><i class="fa fa fa-trash"></i></button>';
  return actions_cell;
}
//Campo vacio para responsive//
function cel(wpid, wpactive) {
  actions_cell = '';
  return actions_cell;
}

//Funcion para buscar datos por columnas//
function filterColumn (i) {
 wp_table
 .columns( i )
 .search($('#col'+i+'_filter').val(), true, false)
 .draw();
}
$('input.column_filter').on( 'keyup', function () {
  var data=$(this).data('column');
  filterColumn($(this).data('column'));
} );

$('#col1_filter').on( 'change', function () {
  //filterColumn($(this).data('column'));
  var fecha = $(this).val();
  dataTable_init(fecha);
} );
//Funcion abrir seccion filtros //
$(document).on('click', '#addfilter', function(e){
  $('#filtercam').show();
  $("#addfilter").remove();
  $('#list_system_payments_filter').append(' <button class="btn btn-danger" id="closefilter"><i class="fas fa-window-close"></i></button>');
});
//Funcion cerrar seccion filtros//
$(document).on('click', '#closefilter', function(e){
  $('#filtercam').hide();
  $("#closefilter").remove();
  $('#list_system_payments_filter').append(' <button class="btn btn-primary" id="addfilter"><i class="fas fa-filter"></i></button>');
});

dataTable_init(null);
//Eliminar item a plan//
function cuentas_bancarias(){
  data = {'option':'<?php echo $decryp->encryptroute('view/system_payments/query_bank_accounts')?>'};
  $.post('../core/process.php', data)
  .done(function(resp){
    $('#cuentas_bancarias').empty().append(new Option('Seleccione',''));
    $.each(resp.datos, function (k, v) {
     var nombre=v.banco+'-'+v.num_cuenta;
     $('#cuentas_bancarias').append('<option id="cuentas_bancarias_'+v.id+'" data-titular="'+v.titular+'" data-cuenta="'+v.num_cuenta+'" value="'+v.id+'">'+nombre+'</option>');
   });
  }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
}
cuentas_bancarias();

//Detalles de propiedad//
$(document).on('change', '#cuentas_bancarias', function(e){
  var id = $(this).val();
  if (typeof id == 'undefined' || id === null || id === '') {  
    $('#detalles_cuenta').hide();
    $('#titular_cuenta').html('');
    $('#numero_cuenta').html('');
  } else {
    var titular = $('#cuentas_bancarias_'+id).data('titular');
    var cuenta = $('#cuentas_bancarias_'+id).data('cuenta');
    $('#detalles_cuenta').show();
    $('#titular_cuenta').html('<span style="color: red">Titular: </span>'+titular);
    $('#numero_cuenta').html('<span style="color: red">Numero de Cuenta: </span> '+cuenta);
  }
});

//Abrir modal de propiedades para registrar//
$(document).on('click', '#add_modal', function(e){
  data = {'option':'<?php echo $decryp->encryptroute('add/N')?>'};
  $.post('../core/process.php', data)
  .done(function(resp){
    $('#addcat').modal('show'); 
    $('#addcat form').trigger('reset'); 
    $('#title_modal').html('Agregar Pagos en Sistema <?php echo$_SESSION['lang']['REQUERIDOS']?> ');
    $('#edit').hide();
    $('#save').show();
    $('#cuentas_bancarias').prop('disabled', false);    
    $('#cuentas_bancarias').val('');
    $('#cuentas_bancarias').select2().trigger('change');
    $( "#status" ).prop( "checked", true );
    $('#sts').hide();
  }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   $('#addcat').modal('hide'); 
   toastr.error(resp.msg);
 }
});
});
//Funcion para registrar propiedades//
$(document).on('click', '#save', function(e){
  submit('#save');
  var cuentas_bancarias = $("#cuentas_bancarias").val();
  var cant_dep = $("#cant_dep").val();
  var monto_dep = $("#monto_dep").val();
  var cant_trans = $("#cant_trans").val();
  var monto_trans = $("#monto_trans").val();
  //if (typeof cuentas_bancarias == 'undefined' || cuentas_bancarias === null || cuentas_bancarias === '' || typeof cant_dep == 'undefined' || cant_dep === null || cant_dep === '' || typeof monto_dep == 'undefined' || monto_dep === null || monto_dep === '' || typeof cant_trans == 'undefined' || cant_trans === null || cant_trans === '' || typeof monto_trans == 'undefined' || monto_trans === null || monto_trans === '') {  
  if (typeof cuentas_bancarias == 'undefined' || cuentas_bancarias === null || cuentas_bancarias === '') {  

   toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
   finish('#save');
 }else {
  data = {'option':'<?php echo $decryp->encryptroute('add/system_payments/register_system_payment')?>','cuentas':cuentas_bancarias,'cant_dep':cant_dep,'monto_dep':monto_dep,'cant_trans':cant_trans,'monto_trans':monto_trans};
  $.post('../core/process.php', data)
  .done(function(resp){
   $('#addcat').modal('hide'); 
   toastr.success(resp.msg);
   dataTable_init(null);
 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
}).always( function() {
  finish('#save');
});
}
});

//Detalles de propiedad//
$(document).on('click', '.edit_cat', function(e){
  var id = $(this).data('data1');
  if (typeof id == 'undefined' || id === null || id === '') {  
    toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
  } else {
    data = {'option':'<?php echo $decryp->encryptroute('view_/system_payments/view_system_payment')?>','id':id};
    $.post('../core/process.php', data)
    .done(function(resp){ 
      $('#addcat form').trigger('reset'); 
      $('#addcat').modal('show'); 
      $('#edit').show();
      $('#save').hide();
      $('#sts').show();
      $('#cuentas_bancarias').prop('disabled', true);    
      $('#title_modal').html('Editar Pago de Sistema <?php echo $_SESSION['lang']['REQUERIDOS']?>');
      $.each(resp.datos, function (k, v) {
        $('#id_pago').val(v.id);
        $('#cant_dep').val(v.total_dep);
        $('#cant_trans').val(v.total_tra);
        $('#cuentas_bancarias').val(v.cuenta);
        $('#cuentas_bancarias').select2().trigger('change');
        $('#monto_dep').maskMoney('mask', parseFloat(v.monto_dep, 10));
        $('#monto_trans').maskMoney('mask', parseFloat(v.monto_tra, 10));
      });
    }).fail( function(jqXHR, textStatus, errorThrown) {
     var resp=jqXHR.responseJSON;
     var status=jqXHR.status;
     if(status == 401){
      toastr.error(resp.msg);
      logout();
    }else{
     toastr.error(resp.msg);
   }
 });
  }
});
//Funcion para editar propiedades//
$(document).on('click', '#edit', function(e){
  submit('#edit');
  var id = $("#id_pago").val();
  var cant_dep = $("#cant_dep").val();
  var monto_dep = $("#monto_dep").val();
  var cant_trans = $("#cant_trans").val();
  var monto_trans = $("#monto_trans").val();

  if (typeof id == 'undefined' || id === null || id === '' || typeof cant_dep == 'undefined' || cant_dep === null || cant_dep === '' || typeof monto_dep == 'undefined' || monto_dep === null || monto_dep === '' || typeof cant_trans == 'undefined' || cant_trans === null || cant_trans === '' || typeof monto_trans == 'undefined' || monto_trans === null || monto_trans === '') {  
   toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
   finish('#edit');
 }else {
   data = {'option':'<?php echo $decryp->encryptroute('edit/system_payments/edit_system_payment')?>','cant_dep':cant_dep,'monto_dep':monto_dep,'cant_trans':cant_trans,'monto_trans':monto_trans,'id':id};
   $.post('../core/process.php', data)
   .done(function(resp){
     $('#addcat').modal('hide'); 
     toastr.success(resp.msg);
     dataTable_init(null);
   }).fail( function(jqXHR, textStatus, errorThrown) {
     var resp=jqXHR.responseJSON;
     var status=jqXHR.status;
     if(status == 401){
      toastr.error(resp.msg);
      logout();
    }else{
     toastr.error(resp.msg);
   }
 }).always( function() {
  finish('#edit');
});
}
});
//Funcion abrir modal para eliminar cuenta// 
$(document).on('click', '.delete', function(e){
  var data1 = $(this).data('data1');
  $( '#delete_cat' ).data( 'data1', data1);
  $('#modal_eliminar').modal('show'); 
});
//Funcion eliminar cuenta// 
$(document).on('click', '#delete_cat', function(e){
  submit('#delete_cat');
  var data1 = $(this).data('data1');
  if (typeof data1 == 'undefined' || data1 === null || data1 === '') {  
   toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
   finish('#delete_cat');
   $('#modal_eliminar').modal('hide'); 
 } else {
  data = {'option':'<?php echo $decryp->encryptroute('delete/system_payments/delete_system_payment')?>','id':data1};
  $.post('../core/process.php', data)
  .done(function(resp){
   toastr.success(resp.msg);
 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg); 
 }
}).always( function() {
  $('#modal_eliminar').modal('hide');
  finish('#delete_cat');
  dataTable_init(null);
});
}
});

//END//
});
</script>